on startMovie
  global pointCursor, gt
  set pointCursor to [the number of member "pointer cursor", the number of member "pointer mask"]
  if gt = 1 then
    set the text of member "gtbanner" to "(Click on 'next' to continue with the guided tour)"
  end if
end

on stopMovie
end

on keyDown
  if the type of the member of sprite 36 = #digitalVideo then
    set the movieRate of sprite 36 to 0
  end if
  repeat with n = 1 to 30
    puppetSprite(n, 0)
    set the cursor of sprite n to 0
  end repeat
  puppetSound(0)
  go("start")
end

on wait howlong
  set currentTime to the timer
  repeat while (currentTime + howlong) > the timer
    nothing()
  end repeat
end

on waitforfade
  wait(60)
end

on click
  puppetSound(2, "click")
  updateStage()
  updateStage()
  wait(30)
end

on clickFade
  global gt
  click()
  set gt to 0
  set the text of member "gtbanner" to EMPTY
  set the cursor of sprite the clickOn to 0
  puppetSprite(the clickOn, 0)
  sound fadeOut 1, 60
end

on clickFadeMovie
  global gt
  set the text of member "gtbanner" to EMPTY
  set gt to 0
  set the movieRate of sprite 36 to 0
  clickFade()
end

on MoveCursor targetH, targetV, timeLength
  set rate to 16
  set increments to float(timeLength) / float(60) * rate
  puppetSprite(31, 1)
  set startH to the locH of sprite 31
  set startV to the locV of sprite 31
  set incH to float(the locH of sprite 31 - targetH) / increments
  set incV to float(the locV of sprite 31 - targetV) / increments
  startTimer()
  repeat with n = 1 to increments
    set the locH of sprite 31 to startH - (incH * n)
    set the locV of sprite 31 to startV - (incV * n)
    updateStage()
    wait((timeLength / increments * n) - the timer)
  end repeat
  set the locH of sprite 31 to targetH
  set the locV of sprite 31 to targetV
  puppetSprite(31, 0)
end
